version: '3.4'

services:
  pwa:
    image: '${PWA_IMAGE}'
    build:
      context: .
      target: '${PWA_BUILD_TARGET}'
    ports:
      - "3000:3000"
    volumes:
      - '.:/usr/src/pwa'
      - 'app_dependencies:/usr/src/pwa/node_modules'
    env_file:
      - '.env'

volumes:
  app_dependencies:

